/* $Id: CopyAction.java 125 2011-03-09 09:49:51Z ohura $ */
package sml_editor.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import sml_editor.swingui.EditorTextPane;


public class CopyAction implements ActionListener{
	private EditorTextPane textPane;
	public CopyAction(){
		;
	}
	public CopyAction(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void setEditorTextPane(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void actionPerformed(ActionEvent arg0) {
		this.textPane.getGSHTMLEditorTextPane().copy();
	}
}
